# BEGIN SourceDeps(oneline):
BuildRequires: libgd2-devel perl(Cwd.pm) perl(Data/Dumper.pm) perl(Devel/Comments.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Copy.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FindBin.pm) perl(GD.pm) perl(GD/SVG.pm) perl(GD/Simple.pm) perl(GD/Window.pm) perl(Image/Base.pm) perl(Image/WMF.pm) perl(Image/Xbm.pm) perl(Image/Xpm.pm) perl(List/Util.pm) perl(Scalar/Util.pm) perl(Smart/Comments.pm) perl(Test.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 15
%define module_name Image-Base-GD
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 15
Release: alt2.1
Summary: Image::Base on PNG and other files using GD.
Group: Development/Perl
License: gpl
URL: http://user42.tuxfamily.org/image-base-gd/index.html

Source0: http://cpan.org.ua/authors/id/K/KR/KRYDE/%module_name-%module_version.tar.gz

%description
`Image::Base::GD' extends `Image::Base' to create or update image files in
various formats using the `GD' module and library (libgd version 2 or
higher).

Native GD drawing has many more features but this module is an easy way to
point `Image::Base' style code at a GD and is a good way to get PNG and
other formats out of `Image::Base' code.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc COPYING Changes
%perl_vendor_privlib/I*

%changelog
* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 15-alt2.1
- rebuild with perl 5.22

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 15-alt2
- rebuild to get rid of unmets

* Mon Apr 07 2014 Igor Vlasenko <viy@altlinux.ru> 15-alt1
- initial import by package builder

